VM_PAGE_PROTECT(9)

NAME
vm_page_protect - lower a page's protection

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_protect(vm_page_t mem, int prot);

DESCRIPTION
The vm_page_protect() function lowers a page's protection. The protection is never raised by this function; therefore, if the page is already at VM_PROT_NONE, the function does nothing.

Its arguments are:

mem The page whose protection is lowered.

prot
    The protection the page should be reduced to. If VM_PROT_NONE is specified, then the PG_WRITABLE and PG_MAPPED flags are cleared and the pmap_page's protection is set to VM_PROT_NONE. If VM_PROT_READ is specified, then the PG_WRITABLE flag is cleared and the pmap_page's protection is set to VM_PROT_READ.

Higher protection requests are ignored.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.